For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList products
      • POSTCreate product
      • POSTAssemble product from FPO
      • GETGet product details
      • PUTUpdate product
      • DELDelete product
      • POSTAdd capability to product
      • PUTUpdate capability
      • DELRemove capability
      • GETPreview cleanup resources
      • GETGet product configuration summary
      • GETList surfaces
      • POSTCreate surface
      • GETGet surface details
      • PUTUpdate surface
      • DELDelete surface
      • POSTAdd item to surface
      • PUTUpdate surface item
      • DELRemove surface item
      • POSTCreate surface API key
      • DELDelete surface API key
      • GETReveal development surface key
      • GETList schedules for surface
      • POSTCreate schedule for surface
      • GETGet schedule details
      • PUTUpdate schedule
      • DELDelete schedule
      • POSTPause schedule
      • POSTResume schedule
      • POSTRun schedule immediately
Dashboard
LogoLogo
Runtype APIProducts

Create product

POST
/v1/products
POST
/v1/products
$curl -X POST https://api.runtype.com/v1/products \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "Customer Support Bot",
> "description": "AI-powered customer support",
> "slug": "support-bot",
> "status": "active"
>}'
1{
2 "canvas": {},
3 "capabilities": [
4 null
5 ],
6 "createdAt": "string",
7 "description": "string",
8 "icon": "string",
9 "id": "string",
10 "name": "string",
11 "spec": {},
12 "surfaces": [
13 null
14 ],
15 "updatedAt": "string",
16 "dashboardUrl": "string",
17 "testApiKey": {
18 "canRevealLater": true,
19 "id": "string",
20 "key": "string",
21 "limits": {
22 "dailyExecutions": 1,
23 "lifetimeExecutions": 1
24 },
25 "name": "string",
26 "prefix": "string"
27 }
28}
Create a new product with optional canvas and spec configuration.
Was this page helpful?
Previous

Assemble product from FPO

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Request

This endpoint expects an object.
namestringRequired>=1 character
canvasobjectOptional
descriptionstringOptional
iconstringOptional<=50 characters
specobjectOptional

Response

Product created
canvasmap from strings to any
capabilitieslist of any
createdAtstring
descriptionstring or null
iconstring or null
idstring
namestring
specmap from strings to any
surfaceslist of any
updatedAtstring
dashboardUrlstring
testApiKeyobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error